Bug 734816 - qemu should be compiled with --enable-vnc-png flag
qemu should be compiled with --enable-vnc-png flag
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 10:35 EDT by Antoine Mercadal
Modified: 2013-01-09 19:16 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 11:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Antoine Mercadal 2011-08-31 10:35:36 EDT
Description of problem:
Qemu does not use tightPNG encoding

Version-Release number of selected component (if applicable):
0.14.0-7.fc15

Additional Info:

In order to correctly use noVNC with the maximal speed (http://github.com/kanaka/novnc), qemu needs to be compiled with --enable-vnc-png.

Is it possible to enable this ? (maybe it is on Fedora 16, in that case, my bad)
Comment 1 Fabian Deutsch 2012-01-29 15:46:26 EST
anyone on this?
Comment 2 Fedora Admin XMLRPC Client 2012-03-15 13:53:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Cole Robinson 2012-05-28 19:43:35 EDT
I don't want to enable a new code path for F15 since we are EOL in a month. Moving to F16.

Dan, I know you're familiar with the qemu VNC code, any reason we shouldn't --enable-vnc-png and/or --enable-vnc-jpeg?
Comment 4 Ruben Kerkhof 2012-06-07 10:50:02 EDT
I've had both of these options enabled (and --enable-vnc-thread) in my own build for months, and haven't noticed any issues. Now that we have NoVNC as part of Openstack, could we at least enable this in Rawhide?
Comment 5 Daniel Berrange 2012-06-08 07:21:04 EDT
I see no problem with setting --enable-vnc-png and --enable-vnc-jpeg.

I'm not so sure about --enable-vnc-thread - we should probably ask upstream about this. If the VNC thread is stable & "better", then I think we should probably just suggest that upstream enable it permanently & remove the configure option. If it isn't stable or better, then we shouldn't enable it in Fedora.
Comment 6 Ruben Kerkhof 2012-06-08 16:28:01 EDT
Actually, it looks like qemu is already built with vnc png and jpeg support.
The addition of libpng-devel and libjpeg-devel as BuildRequires in qemu 2:1.0-6 took care of this. 

I agree with asking upstream to make the threaded VNC server the default.
I guess this bug can be closed?
Comment 7 Cole Robinson 2012-06-17 11:00:41 EDT
Closing per comment #6

Note You need to log in before you can comment on or make changes to this bug.